/*
 Copyright:      Hagen Reddmann  mailto HaReddmann at T-Online dot de
 Author:         Hagen Reddmann
 Remarks:        this Copyright must be included
 known Problems: none
 Version:        2.1. 2004
 Description:    Grafic Library for Nokia 6100 Display and compatible
*/

.nolist
#include "glcd.inc"
#include "regs.inc"
.list

        .text
        .global glcdDisplayOn
glcdDisplayOn:
        ldi     T1, SLEEP_OUT
        fcall   glcdDispCommand
        ldi     T1, BOOSTER_ON
        fcall   glcdDispCommand
glcdDisplayOn1:                         // wait for booster ready
        ldi     T1, DISPLAY_STATUS
        fcall   glcdDispCommand
        ldi     T0, 33
        fcall   glcdDispRead
        sbrs    P0H, 7
        fjmp    glcdDisplayOn1
        ldi     T1, DISPLAY_ON          // switch display on
        fcall   glcdDispCommand
glcdDisplayOn2:                         // wait for display ready
        ldi     T1, DISPLAY_STATUS
        fcall   glcdDispCommand
        ldi     T0, 33
        fcall   glcdDispRead
        sbrs    P1H, 2
        fjmp    glcdDisplayOn2
        ret

.end

